## org.apache.cassandra.db
Class ColumnFamily

    java.lang.Object
      org.apache.cassandra.db.ColumnFamily

All Implemented Interfaces:
  IColumnContainer

    public class ColumnFamily

extends java.lang.Object
implements IColumnContainer

Constructor Summary
`ColumnFamily(java.lang.String cfName, java.lang.String columnType, AbstractType comparator, AbstractType subcolumnComparator)`

Method Summary
`void` `addAll(ColumnFamily cf)`
`void` `addColumn(IColumn column)`
`void` `addColumn(QueryPath path, byte[] value, long timestamp)`
`void` `addColumn(QueryPath path, byte[] value, long timestamp, boolean deleted)` In most places the CF must be part of a QueryPath but here it is ignored.
`void` `clear()`
`ColumnFamily` `cloneMe()`
`ColumnFamily` `cloneMeShallow()`
`static ColumnFamily` `create(java.lang.String tableName, java.lang.String cfName)`
`void` `delete(ColumnFamily cf2)`
`void` `delete(int localtime, long timestamp)` Deprecated.
`ColumnFamily` `diff(ColumnFamily cfComposite)`
`static ColumnFamily` `diff(ColumnFamily cf1, ColumnFamily cf2)`
`static byte[]` `digest(ColumnFamily cf)`
`boolean` `equals(java.lang.Object o)`
`IColumn` `getColumn(byte[] name)`
`java.util.SortedSet<byte[]>` `getColumnNames()`
`ICompactSerializer2<IColumn>` `getColumnSerializer()`
`java.util.Map<byte[],IColumn>` `getColumnsMap()`
`static java.lang.String` `getColumnType(java.lang.String key)`
`AbstractType` `getComparator()`
`static AbstractType` `getComparatorFor(java.lang.String table, java.lang.String columnFamilyName, byte[] superColumnName)`
`int` `getLocalDeletionTime()`
`long` `getMarkedForDeleteAt()`
`java.util.Collection<IColumn>` `getSortedColumns()`
`int` `hashCode()`
`boolean` `isMarkedForDelete()`
`boolean` `isSuper()`
`java.lang.String` `name()`
`void` `remove(byte[] columnName)`
`void` `resolve(ColumnFamily cf)`
`static ColumnFamily` `resolve(ColumnFamily cf1, ColumnFamily cf2)`
`static ColumnFamilySerializer` `serializer()`
`java.lang.String` `toString()`
`java.lang.String` `type()`
`void` `updateDigest(java.security.MessageDigest digest)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColumnFamily

    public ColumnFamily(java.lang.String cfName,
                        java.lang.String columnType,
                        AbstractType comparator,
                        AbstractType subcolumnComparator)

Method Detail

### serializer

    public static ColumnFamilySerializer serializer()

### getColumnType

    public static java.lang.String getColumnType(java.lang.String key)

### create

    public static ColumnFamily create(java.lang.String tableName,
                                      java.lang.String cfName)

### cloneMeShallow

    public ColumnFamily cloneMeShallow()

### cloneMe

    public ColumnFamily cloneMe()

### name

    public java.lang.String name()

### addAll

    public void addAll(ColumnFamily cf)

### getColumnSerializer

    public ICompactSerializer2<IColumn> getColumnSerializer()

### isSuper

    public boolean isSuper()

### addColumn

    public void addColumn(QueryPath path,
                          byte[] value,
                          long timestamp)

### addColumn

    public void addColumn(QueryPath path,
                          byte[] value,
                          long timestamp,
                          boolean deleted)

  In most places the CF must be part of a QueryPath but here it is ignored.

### clear

    public void clear()

### addColumn

    public void addColumn(IColumn column)

  Specified by:
    `addColumn` in interface `IColumnContainer`

### getColumn

    public IColumn getColumn(byte[] name)

### getColumnNames

    public java.util.SortedSet<byte[]> getColumnNames()

### getSortedColumns

    public java.util.Collection<IColumn> getSortedColumns()

### getColumnsMap

    public java.util.Map<byte[],IColumn> getColumnsMap()

### remove

    public void remove(byte[] columnName)

### delete

    @Deprecated
    public void delete(int localtime,
                                  long timestamp)

  Deprecated.

### delete

    public void delete(ColumnFamily cf2)

### isMarkedForDelete

    public boolean isMarkedForDelete()

  Specified by:
    `isMarkedForDelete` in interface `IColumnContainer`

### diff

    public ColumnFamily diff(ColumnFamily cfComposite)

### getComparator

    public AbstractType getComparator()

  Specified by:
    `getComparator` in interface `IColumnContainer`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### digest

    public static byte[] digest(ColumnFamily cf)

### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

### getMarkedForDeleteAt

    public long getMarkedForDeleteAt()

  Specified by:
    `getMarkedForDeleteAt` in interface `IColumnContainer`

### getLocalDeletionTime

    public int getLocalDeletionTime()

### type

    public java.lang.String type()

### getComparatorFor

    public static AbstractType getComparatorFor(java.lang.String table,
                                                java.lang.String columnFamilyName,
                                                byte[] superColumnName)

### diff

    public static ColumnFamily diff(ColumnFamily cf1,
                                    ColumnFamily cf2)

### resolve

    public static ColumnFamily resolve(ColumnFamily cf1,
                                       ColumnFamily cf2)

### resolve

    public void resolve(ColumnFamily cf)

Copyright © 2010 The Apache Software Foundation